EVOLVER-OGL-D(1)

NAME
evolver-ogl-d - The Surface Evolver program with OpenGL/GLUT display and double precision floating point format

SYNOPSIS
evolver-ogl-d [-a][-d][-e][-i][-m][-q][-w][-x][-y][-h][-V] [-f FILE] [-pN] [DATAFILE]

DESCRIPTION
The Surface Evolver is an interactive program for the modelling of liquid surfaces shaped by various forces and constraints. Basically the Surface Evolver minimizes the energy of triangulated surfaces according to designated energies and constraints.

This man page mainly documents command line options and environment variables.

OPTIONS

-a  Autoconvert to named quantities when needed (default is on); use `-a-' to deactivate autoconversion.

-d  Begin with parser debugging on (equivalent to `debug' runtime command); beware of copious output.

-e  Echo stdin to stdout; meant for testing piped input.

-f FILE
    After loading DATAFILE, read commands from file, then command line prompt.

-i  Preserve DATAFILE numbers for element id's, rather than renumbering.

-m  Begin with memory debugging on (equivalent to `memdebug' runtime command); beware of copious output.

-pN Run with N concurrent processes.

-q  Convert to named quantities at start (equivalent to `convert_to_quantities' runtime command).

-w  Exit immediately after any warning or error message; meant for batch runs.

-x  Exit immediately after any error message; meant for batch runs.

-y  Break to user prompt after any warning message.

-h  Display this help, then exit.

-V  Display the version and the banner, then exit.

AVAILABILITY
The latest version of the Surface Evolver, up-to-date documentation, and more are available on-line from:

    http://www.susqu.edu/brakke/evolver

BANNER
Surface Evolver Version 2.70a (Debian 2.70+ds-10), August 27, 2013, 64-bit. Compiled for double, 15 digits precision. Built with Geomview support. Built with OpenGL/GLUT display.

ENVIRONMENT

EVOLVERPATH
    Colon-separated list of paths automatically searched for datafiles, included files, or on-line help documentation. By default, the paths /usr/share/doc/evolver/html and /usr/share/doc/evolver/examples are appended (in that order); this default behaviour can be cancelled by appending at least three consecutive colons (":::") at its end.

FILES
~/.evolver_history
    Per user command history file.

/usr/share/doc/evolver/manual.pdf
    The (complete) Surface Evolver Manual in PDF format.

/usr/share/doc/evolver/EvolverDoc.html
    The HTML version of the Surface Evolver Manual that contains what the PDF manual has, modulo some advanced material.

/usr/share/doc/evolver/examples/
    This folder contains sample material, mainly datafiles and command-files, for the Surface Evolver.

AUTHOR
Ken Brakke <brakke@susqu.edu> has written and currently maintained the core part of the Surface Evolver. This man page was written for Debian by Jerome Benoit <calculus@rezozer.net>.

REPORTING BUGS
Report bugs to Ken Brakke <brakke@susqu.edu>

COPYRIGHT
Copyright © 1989-2016 Ken Brakke <brakke@susqu.edu>

SEE ALSO
The complete manual for the Surface Evolver is available in PDF format in the documentation folder as /usr/share/doc/evolver/manual.pdf.

geomview(1), polymerge(1), anytooff(1), oogl(5), readline(3)